var Main =
{   
	pluginAPI : null, 
    pluginAudio : null,
	player: null,
	originalSource: null, 
	tvKey: null, 
	widgetAPI: null,
}

Main.onLoad = function()
{
        if (!Main.init()) Main.widgetAPI.sendReturnEvent();  					
}

Main.onUnload = function()
{
    Main.deinit();
}

Main.keyDown = function()
{
        
    var keyCode = event.keyCode;
    
    switch(keyCode)
    {

        		
        case Main.tvKey.KEY_VOL_UP:
            Main.volUp();
            break;    
            
        case Main.tvKey.KEY_VOL_DOWN:
            Main.volDown();
            break;  
        
        case Main.tvKey.KEY_MUTE: // MUTE key
            Main.toggleMuteVol();	
            break;
            
        case Main.tvKey.KEY_RETURN: // RETURN key
            Main.widgetAPI.sendReturnEvent();
            break;
                    
        default:       
            alert('default');
            break;
    }
}

Main.setChannel = function(nrj_chan_name) 
{
	var new_flash = '<object type="application/x-shockwave-flash" width="960" height="540"><param name="movie" value="nflashplayer.swf"><param name="FlashVars" value="file=rtmp://80.232.172.37/rtplive&id=vlc.sdp"></object>';
	Main.widgetAPI.putInnerHTML(document.getElementById("myplayer"), new_flash);
	alert(new_flash);
}

Main.volUp = function() 
{
    Main.pluginAudio.SetSystemMute(0);
    Main.pluginAudio.SetVolumeWithKey(0);   
}

Main.volDown = function() 
{
    Main.pluginAudio.SetSystemMute(0);
    Main.pluginAudio.SetVolumeWithKey(1); 
}

Main.toggleMuteVol = function() {
    var muted = Main.pluginAudio.GetSystemMute();
    Main.pluginAudio.SetSystemMute(muted?0:1);
}

Main.init = function()
{
    var success = true;
	
	Main.tvKey = new Common.API.TVKeyValue();	
	Main.widgetAPI = new Common.API.Widget();
	Main.widgetAPI.sendReadyEvent();
    
    Main.pluginAPI = document.getElementById("pluginObjectTVMW");
    Main.pluginAudio = document.getElementById("pluginObjectAudio");       
        
    if (!Main.pluginAPI)
    {
        success = false;
    }
    else
    {
        /* Save current TV Source */
        Main.originalSource = Main.pluginAPI.GetSource();
        
        /* Set TV source to media player plugin */
        Main.pluginAPI.SetMediaSource();
    }
	

    return success;
}

Main.deinit = function()
{       
        
        if (Main.pluginAPI && (Main.originalSource != null) )
        {
            /* Restore original TV source before closing the widget */
            Main.pluginAPI.SetSource(Main.originalSource);
        }
}

window.onload = Main.onLoad;
window.onunload = Main.onUnload;
window.onkeydown = Main.keyDown;


